"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EOrderRecStatus = exports.EOrderPaymentType = exports.EOrderLineStatus = exports.EOrderStatus = exports.EOrderType = void 0;
var EOrderType;
(function (EOrderType) {
    EOrderType[EOrderType["TAKE_AWAY"] = 0] = "TAKE_AWAY";
    EOrderType[EOrderType["DELIVERY"] = 1] = "DELIVERY";
    EOrderType[EOrderType["DINE_IN"] = 2] = "DINE_IN";
    EOrderType[EOrderType["DINE_IN_OPEN"] = 3] = "DINE_IN_OPEN";
})(EOrderType = exports.EOrderType || (exports.EOrderType = {}));
var EOrderStatus;
(function (EOrderStatus) {
    EOrderStatus[EOrderStatus["NEW"] = 0] = "NEW";
    EOrderStatus[EOrderStatus["COMPLETED"] = 1] = "COMPLETED";
    EOrderStatus[EOrderStatus["DELIVER"] = 2] = "DELIVER";
})(EOrderStatus = exports.EOrderStatus || (exports.EOrderStatus = {}));
var EOrderLineStatus;
(function (EOrderLineStatus) {
    EOrderLineStatus[EOrderLineStatus["NEW"] = 0] = "NEW";
    EOrderLineStatus[EOrderLineStatus["CONFIRMED"] = 1] = "CONFIRMED";
})(EOrderLineStatus = exports.EOrderLineStatus || (exports.EOrderLineStatus = {}));
var EOrderPaymentType;
(function (EOrderPaymentType) {
    EOrderPaymentType[EOrderPaymentType["CASH"] = 0] = "CASH";
    EOrderPaymentType[EOrderPaymentType["COD"] = 1] = "COD";
    EOrderPaymentType[EOrderPaymentType["EPAYMENT"] = 2] = "EPAYMENT";
})(EOrderPaymentType = exports.EOrderPaymentType || (exports.EOrderPaymentType = {}));
var EOrderRecStatus;
(function (EOrderRecStatus) {
    EOrderRecStatus[EOrderRecStatus["INITIALIZING"] = 0] = "INITIALIZING";
    EOrderRecStatus[EOrderRecStatus["INVALID"] = 1] = "INVALID";
    EOrderRecStatus[EOrderRecStatus["VALID"] = 2] = "VALID";
})(EOrderRecStatus = exports.EOrderRecStatus || (exports.EOrderRecStatus = {}));
